<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Videogallery infusion 1.0                            
| Copyright  2007 Andr Hexel
+----------------------------------------------------+     
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."videogallery_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."videogallery_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['vid100'];
$inf_description = $locale['vid110'];
$inf_version = "1.1";
$inf_developer = "Andr Hexel";
$inf_email = "admin@semperbo.de.vu";
$inf_weburl = "http://www.semperbo.de.vu";

$inf_folder = "videogallery_panel"; // The folder in which the infusion resides.
$inf_admin_image = "video.gif"; // Leave blank to use the default image.
$inf_admin_panel = "videogallery_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['vid120']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "videogallery.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 2; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.

$inf_newtable_[1] = "video_albums (
album_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
album_title VARCHAR(100) DEFAULT '' NOT NULL,
album_description TEXT NOT NULL,
album_thumb VARCHAR(100) DEFAULT '' NOT NULL,
album_user SMALLINT(5) UNSIGNED DEFAULT 0 NOT NULL,
album_access SMALLINT(5) UNSIGNED NOT NULL,
album_added INT(10),
PRIMARY KEY (album_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "videos (
video_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
album_id SMALLINT(5) UNSIGNED NOT NULL,
video_title VARCHAR(100) NOT NULL,
video_description TEXT,
video_filename VARCHAR(100) NOT NULL,
video_thumb VARCHAR(100) NOT NULL,
video_user SMALLINT(5) UNSIGNED NOT NULL,
video_allow_comments TINYINT(1) UNSIGNED NOT NULL,
video_allow_ratings TINYINT(1) UNSIGNED NOT NULL,
video_added INT(10),
PRIMARY KEY (video_id)
) TYPE=MyISAM;";

//$inf_insertdbrow_[1] = "table_name (field1, field2, field3, field4) VALUES('', '', '', '')";

//$inf_droptable_[1] = "video_albums";
//$inf_droptable_[2] = "videos";

$inf_altertable_[1] = "video_albums ADD album_access SMALLINT(5) UNSIGNED NOT NULL AFTER album_user,
DROP album_costs";

$inf_altertable_[2] = "videos DROP video_access";

//$inf_deldbrow_[1] = "other_table";

?>
